Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.constraints
Class AbstractConstraint

    java.lang.Object
      org.picocontainer.parameters.CollectionComponentParameter
          org.picocontainer.gems.constraints.AbstractConstraint

All Implemented Interfaces:
  Serializable, Constraint, org.picocontainer.Parameter

Direct Known Subclasses:
  And, Anything, IsExactType, IsKey, IsKeyType, IsType, Not, Or

    public abstract class AbstractConstraint

extends org.picocontainer.parameters.CollectionComponentParameter
implements Constraint

Base class for parameter constraints.

Author:
  Nick Sieger
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.picocontainer.parameters.CollectionComponentParameter
`ARRAY, ARRAY_ALLOW_EMPTY`

Fields inherited from interface org.picocontainer.Parameter
`DEFAULT, ZERO`

Constructor Summary
`protected` | `AbstractConstraint()` Construct an AbstractContraint.

Method Summary
`abstract boolean` | `evaluate(org.picocontainer.ComponentAdapter adapter)` Evaluate whether the given component adapter matches this constraint.
`protected Map<Object,org.picocontainer.ComponentAdapter<?>>` | `getMatchingComponentAdapters(org.picocontainer.PicoContainer container, org.picocontainer.ComponentAdapter adapter, Class keyType, Class valueType)`
`boolean` | `isResolvable(org.picocontainer.PicoContainer container, org.picocontainer.ComponentAdapter<?> adapter, Type expectedType, org.picocontainer.NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
`Object` | `resolveInstance(org.picocontainer.PicoContainer container, org.picocontainer.ComponentAdapter<?> adapter, Type expectedType, org.picocontainer.NameBinding expectedNameBinding, boolean useNames, Annotation binding)`
`void` | `verify(org.picocontainer.PicoContainer container, org.picocontainer.ComponentAdapter<?> adapter, Type expectedType, org.picocontainer.NameBinding expectedNameBinding, boolean useNames, Annotation binding)`

Methods inherited from class org.picocontainer.parameters.CollectionComponentParameter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.Parameter
`accept`

Constructor Detail

### AbstractConstraint

    protected AbstractConstraint()

  Construct an AbstractContraint.

Method Detail

### resolveInstance

    public Object resolveInstance(org.picocontainer.PicoContainer container,
                                  org.picocontainer.ComponentAdapter<?> adapter,
                                  Type expectedType,
                                  org.picocontainer.NameBinding expectedNameBinding,
                                  boolean useNames,
                                  Annotation binding)
                           throws org.picocontainer.PicoCompositionException

  Specified by:
    `resolveInstance` in interface `org.picocontainer.Parameter`
  Overrides:
    `resolveInstance` in class `org.picocontainer.parameters.CollectionComponentParameter`
  Throws:
    `org.picocontainer.PicoCompositionException`

### isResolvable

    public boolean isResolvable(org.picocontainer.PicoContainer container,
                                org.picocontainer.ComponentAdapter<?> adapter,
                                Type expectedType,
                                org.picocontainer.NameBinding expectedNameBinding,
                                boolean useNames,
                                Annotation binding)
                         throws org.picocontainer.PicoCompositionException

  Specified by:
    `isResolvable` in interface `org.picocontainer.Parameter`
  Overrides:
    `isResolvable` in class `org.picocontainer.parameters.CollectionComponentParameter`
  Throws:
    `org.picocontainer.PicoCompositionException`

### verify

    public void verify(org.picocontainer.PicoContainer container,
                       org.picocontainer.ComponentAdapter<?> adapter,
                       Type expectedType,
                       org.picocontainer.NameBinding expectedNameBinding,
                       boolean useNames,
                       Annotation binding)
                throws org.picocontainer.PicoCompositionException

  Specified by:
    `verify` in interface `org.picocontainer.Parameter`
  Overrides:
    `verify` in class `org.picocontainer.parameters.CollectionComponentParameter`
  Throws:
    `org.picocontainer.PicoCompositionException`

### evaluate

    public abstract boolean evaluate(org.picocontainer.ComponentAdapter adapter)

  Description copied from interface: `Constraint`
  Evaluate whether the given component adapter matches this constraint.

  Specified by:
    `evaluate` in interface `Constraint`
  Overrides:
    `evaluate` in class `org.picocontainer.parameters.CollectionComponentParameter`
  Parameters:
    `adapter` - a `ComponentAdapter` value
  Returns:
    true if the adapter matches the constraint

### getMatchingComponentAdapters

    protected Map<Object,org.picocontainer.ComponentAdapter<?>> getMatchingComponentAdapters(org.picocontainer.PicoContainer container,
                                                                                             org.picocontainer.ComponentAdapter adapter,
                                                                                             Class keyType,
                                                                                             Class valueType)

  Overrides:
    `getMatchingComponentAdapters` in class `org.picocontainer.parameters.CollectionComponentParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.